## EvDocumentTransition

EvDocumentTransition

## Functions

gdouble | ev_document_transition_get_page_duration ()
EvTransitionEffect * | ev_document_transition_get_effect ()

## Types and Values

| EvDocumentTransition
struct | EvDocumentTransitionInterface

## Object Hierarchy

        GInterface
        ╰── EvDocumentTransition

## Description

## Functions

### ev_document_transition_get_page_duration ()

    gdouble
    ev_document_transition_get_page_duration
                                   (EvDocumentTransition *document_trans,
                                    gint page);

#### Returns

### ev_document_transition_get_effect ()

    EvTransitionEffect *
    ev_document_transition_get_effect (EvDocumentTransition *document_trans,
                                       gint page);

#### Parameters

document_trans | an EvDocumentTransition |
page | a page index |

#### Returns

an EvTransitionEffect.

[transfer full]

## Types and Values

### EvDocumentTransition

    typedef struct _EvDocumentTransition EvDocumentTransition;

### struct EvDocumentTransitionInterface

    struct EvDocumentTransitionInterface {
    	GTypeInterface base_iface;

    	/* Methods  */
    	gdouble              (* get_page_duration) (EvDocumentTransition *document_trans,
    						    gint                  page);
    	EvTransitionEffect * (* get_effect)        (EvDocumentTransition *document_trans,
    						    gint                  page);
    };